• English
  • 繁體中文
qrcode
Compatible with iphone 4,iphone 4s, iphone 5, ipad 2, ipad 3, ipad 4,
ipod touch (5th generation),
This app is optimized for
iphone 5,Requires ios 5.0 or later.